Compare a current catalog quote with read-only provider launch evidence
POST
/
api
/
v1
/
capacity
/
probes
Compare a current catalog quote with read-only provider launch evidence
curl --request POST \
--url http://127.0.0.1:18000/api/v1/capacity/probes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gpu": "<string>",
"provider": "<string>",
"gpu_count": 1,
"region": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/capacity/probes"
payload = {
"gpu": "<string>",
"provider": "<string>",
"gpu_count": 1,
"region": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gpu: '<string>', provider: '<string>', gpu_count: 1, region: '<string>'})
};
fetch('http://127.0.0.1:18000/api/v1/capacity/probes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/capacity/probes"
payload := strings.NewReader("{\n \"gpu\": \"<string>\",\n \"provider\": \"<string>\",\n \"gpu_count\": 1,\n \"region\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"catalog_quote": {
"gpu": "<string>",
"gpu_count": 123,
"hourly_usd": 123,
"limitations": [
"<string>"
],
"provider": "<string>",
"state": "current",
"currency": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"region": "<string>",
"source": "<string>",
"valid_until": "2023-11-07T05:31:56Z"
},
"launch_evidence": {
"availability_state": "available",
"connection_state": "configured",
"deployability": "available",
"expires_at": "2023-11-07T05:31:56Z",
"gpu": "<string>",
"gpu_count": 123,
"message": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"quota_state": "available",
"source": "<string>",
"limitations": [
"<string>"
],
"region": "<string>"
},
"request": {
"gpu": "<string>",
"provider": "<string>",
"gpu_count": 1,
"region": "<string>"
},
"selection_boundary": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Compare a current catalog quote with read-only provider launch evidence
curl --request POST \
--url http://127.0.0.1:18000/api/v1/capacity/probes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gpu": "<string>",
"provider": "<string>",
"gpu_count": 1,
"region": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/capacity/probes"
payload = {
"gpu": "<string>",
"provider": "<string>",
"gpu_count": 1,
"region": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gpu: '<string>', provider: '<string>', gpu_count: 1, region: '<string>'})
};
fetch('http://127.0.0.1:18000/api/v1/capacity/probes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/capacity/probes"
payload := strings.NewReader("{\n \"gpu\": \"<string>\",\n \"provider\": \"<string>\",\n \"gpu_count\": 1,\n \"region\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"catalog_quote": {
"gpu": "<string>",
"gpu_count": 123,
"hourly_usd": 123,
"limitations": [
"<string>"
],
"provider": "<string>",
"state": "current",
"currency": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"region": "<string>",
"source": "<string>",
"valid_until": "2023-11-07T05:31:56Z"
},
"launch_evidence": {
"availability_state": "available",
"connection_state": "configured",
"deployability": "available",
"expires_at": "2023-11-07T05:31:56Z",
"gpu": "<string>",
"gpu_count": 123,
"message": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"quota_state": "available",
"source": "<string>",
"limitations": [
"<string>"
],
"region": "<string>"
},
"request": {
"gpu": "<string>",
"provider": "<string>",
"gpu_count": 1,
"region": "<string>"
},
"selection_boundary": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}